Bug 1573635 - Can't upgrade from Fedora-27 -> 28 because of shim install failure
Summary: Can't upgrade from Fedora-27 -> 28 because of shim install failure
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 20:06 UTC by Gerard Fernandes
Modified: 2018-11-30 21:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:40:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Gerard Fernandes 2018-05-01 20:06:40 UTC
Description of problem:
Can't upgrade from F27->28 because of shim install failure using Gnome Package Manager

Version-Release number of selected component (if applicable): Fedora-27 with all available updates applied


How reproducible: Always.


Steps to Reproduce:
1. Open Gnome Package Manager, go to the Updates tab
2. Click on download Fedora 28 upgrade
3. This fails with a shim error.

Actual results:
journald shows the following failures:
 failed to call gs_plugin_app_upgrade_download on packagekit-upgrade: Error running transaction: installing package shim-x64-13-4.x86_64 needs 583680 on the /boot/efi filesystem
May 01 20:56:26 achiles.home.lan PackageKit[1254]: upgrade-system transaction /6576_eedadcce from uid 1000 finished with failed after 4727ms
May 01 20:56:26 achiles.home.lan gnome-software[2023]: failed to call gs_plugin_app_upgrade_download on packagekit-upgrade: Error running transaction: installing package shim-x64-13-4.x86_64 needs 583680 on the /boot/efi filesystem
lines 3167-3199/3199 (END)


Expected results: Upgrade should work seamlessly, but it doesn't.


Additional info:

Comment 1 Gerard Fernandes 2018-05-20 21:47:12 UTC
Ok - so this was (as indicated by the error message - doh!) due to a lack of space on the autocreated MS EFI partition (100MB).

So I had to create a new EFI partition (have setup a 1GB partition now - once bitten etc...).

This turned out to be fairly simple - despite the lack of documentation online.

It required the following steps:
1. Create a 1GB partition to hold the new ESP - format it as FAT32.
2. Copy your current EFI to the new partition - I used rsync for this.
3. Update /etc/fstab with the new UUID (use blkid to find this information)
3. Update your firmware to hand off to grub on the new partition
    sudo efibootmgr -c -d /dev/sda -p 8 -l '\EFI\fedora\shim.efi' -L Fedora
4. Make a note of the old partition entry - you'll need this to clean-up:
    sudo efibootmgr -v
5. Use efibootmgr to remove the old partition entry
    sudo efibootmgr -b <hex_entry_code> -B

You're done. Rebooting the system should now boot all entries from your new EFI partition. Your old EFI partition can now be deleted/reclaimed into another partition.

Comment 2 Ben Cotton 2018-11-27 15:39:47 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:40:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.